Main Page Modules Data Structures File List Data Fields Globals Related Pages

# sha256Param Struct Reference
[Hash Functions: SHA-256]

`#include <sha256.h>`

## Data Fields
uint32 | h [8]
uint32 | data [64]
uint64 | length
uint8 | offset

## Field Documentation

uint32 sha256Param::data[64]

| Definition at line 38 of file sha256.h.

uint32 sha256Param::h[8]

| Definition at line 37 of file sha256.h.

uint64 sha256Param::length

| Definition at line 39 of file sha256.h.

uint8 sha256Param::offset

| Definition at line 40 of file sha256.h.

The documentation for this struct was generated from the following file:

- beecrypt/sha256.h